Bug 127199 - "No bootloader found" from yum
"No bootloader found" from yum
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-03 15:50 EDT by Michal Jaegermann
Modified: 2014-01-21 17:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-29 14:29:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2004-07-03 15:50:42 EDT
Description of problem:

When a new kernel shows in updates then yum installs it, as expected,
and on x86 installation prints:

Kernel Updated/Installed, checking for bootloader
Grub found - making this kernel the default

and indeed does that.  On a test x86_64 installation that message
is different:

Kernel Updated/Installed, checking for bootloader
No bootloader found, Cannot configure kernel, continuing.

This is after a new kernel was placed in /boot, its initrd
made up and a corresponding stanza added to /boot/grub/grub.conf.
Only a "making this kernel the default" step is missing.
I am not sure how yum is searching for a boot loader but
/boot/grub/grub.conf are quite similar between x86 and x86_64.

I did not not notice that effect on FC2 but only in development
series.  Not a very big deal at this stage but curious
inconsistency.

Version-Release number of selected component (if applicable):
yum-2.0.7-1.1

How reproducible:
Always
Comment 1 Seth Vidal 2005-07-29 14:29:44 EDT
closing ancient and no longer relevant

Note You need to log in before you can comment on or make changes to this bug.